dan200.computercraft.api.peripheral

## Interface IPeripheralProvider

    public interface IPeripheralProvider

This interface is used to create peripheral implementations for blocks

See Also:
  `ComputerCraftAPI.registerPeripheralProvider(IPeripheralProvider)`

### Method Summary

Methods
`IPeripheral` `getPeripheral(World world, int x, int y, int z, int side)` Produce an peripheral implementation from a block location.

### Method Detail

#### getPeripheral

    IPeripheral getPeripheral(World world,
                            int x,
                            int y,
                            int z,
                            int side)

Produce an peripheral implementation from a block location.

Returns:
  a peripheral, or null if there is not a peripheral here you'd like to handle.
See Also:
  `ComputerCraftAPI.registerPeripheralProvider(IPeripheralProvider)`